import java.util.*;

/*
 * Simple class implementing a task set
 * If you prefer to work with arrays you can convert a task set 
 * into a 2 dimensional array by using the class TaskArray.java 
 */

public class TaskSet {
	
	private Vector<Task> tasks;
	
	/*
	 * Constructor 
	 */
	public TaskSet(){
		tasks = new Vector<Task>();
	}
	
	/*
	 * Add a new task to the set
	 */
	public void addTask(Task new_task){
		tasks.add(new_task);
	}
	
	/*
	 * returns the number of tasks in the set
	 */
	public int size(){
		return tasks.size();
	}
	
	/*
	 * Returns the task on the given position
	 */
	public Task get(int number){
		return tasks.get(number);
	}
}
